package com.company.restupd.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;

@Table(name = "RESTUPD_CHILD_ENTITY")
@Entity(name = "restupd_ChildEntity")
@NamePattern("%s|name")
public class ChildEntity extends StandardEntity {
    private static final long serialVersionUID = -4858701137646074229L;

    @Column(name = "NAME")
    private String name;

    @Column(name = "DETAILS")
    private String details;

    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "MAIN_ENTITY_ID")
    private MainEntity mainEntity;

    public MainEntity getMainEntity() {
        return mainEntity;
    }

    public void setMainEntity(MainEntity mainEntity) {
        this.mainEntity = mainEntity;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}